package org.nuts4cocos.enterkey;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.inputmethod.EditorInfo;
import android.view.KeyEvent;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.TextView.OnEditorActionListener;

public class EnterKey extends Activity {
  TextView.OnEditorActionListener listener;
  EditText editText1;
  EditText editText2;

  /** Called when the activity is first created. */
  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);

    editText1=(EditText)findViewById(R.id.editText1);
    editText2=(EditText)findViewById(R.id.editText2);

    listener=new TextView.OnEditorActionListener() {
      @Override
      public boolean onEditorAction
      (TextView view, int actionId, KeyEvent event) {
        if (event==null) {
          if (actionId==EditorInfo.IME_ACTION_DONE);
          // Capture soft enters in last singleLine EditText.
          else if (actionId==EditorInfo.IME_ACTION_NEXT);
          // Capture soft enters in other singleLine EditTexts
          else return false;  // Let system handle all other null KeyEvents
        }
        else if (actionId==EditorInfo.IME_NULL) {
          // Capture most soft enters in multi-line EditTexts and hard enters.
          // They supply a zero actionId and a valid KeyEvent rather than
          // a non-zero actionId and a null event like the previous cases.
          if (event.getAction()==KeyEvent.ACTION_DOWN); 
          // We capture the event when key is first pressed.
          else  return true;   // We consume the event when key is released.
        }
        else  return false; 
        // We let the system handle it when the listener
        // is triggered by something that wasn't an enter.


        // Code from this point on will execute whenever the user
        // presses enter in an attached view, regardless of position, 
        // keyboard, or singleLine status.
        if (view==editText1)  editText1.append("1");
        if (view==editText2)  editText2.append("2");
        return true;   // Consume the event
      }
    };
    editText1.setOnEditorActionListener(listener);
    editText2.setOnEditorActionListener(listener);
  }
}
